Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class GenderInfoWithStatusAndSourceType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalGenderType
          be.fgov.ehealth.rn.baselegaldata.v1.GenderInfoWithStatusAndSourceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:22:20+01:00",
               comments="JAXB RI v2.2.11")
    public class GenderInfoWithStatusAndSourceType

extends AbstractOptionalGenderType
implements Serializable

Java class for GenderInfoWithStatusAndSourceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenderInfoWithStatusAndSourceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalGenderType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
           <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenderInfoWithStatusAndSourceType()`

Method Summary
`SourceType` | `getSource()` Gets the value of the source property.
`DatagroupStatusType` | `getStatus()` Gets the value of the status property.
`void` | `setSource(SourceType value)` Sets the value of the source property.
`void` | `setStatus(DatagroupStatusType value)` Sets the value of the status property.

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalGenderType
`getGenderCode, getInceptionDate, setGenderCode, setInceptionDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenderInfoWithStatusAndSourceType

    public GenderInfoWithStatusAndSourceType()

Method Detail

### getStatus

    public DatagroupStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `DatagroupStatusType`

### setStatus

    public void setStatus(DatagroupStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `DatagroupStatusType`

### getSource

    public SourceType getSource()

  Gets the value of the source property.

  Returns:
    possible object is `SourceType`

### setSource

    public void setSource(SourceType value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `SourceType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.